function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("e")
    std.create_shell("s")

    std.create_2x2_door("x_neg", "r_green", "e")
    std.create_2x2_door("y_pos", "r_green", "e")

    create_rect("s", 6,6,7, 8,8,7)
    add_bent(7,8,8, "bent_base_ring_green")
    set_pos(7,6,7, "r_expander")
    set_pos(7,6,8, "grow")
    --
    --The block_health_test script can be found
    --in "Floor3/CubesSmart".
    set_pos(7,7,8, "block_health_test")
    
    local msg_str = "Left and right click on the block below to change "
        .. "its ^x00ff00health^!. The heath is stored as a \"block variable\" "
        .. "of the block. See the script "
        .. "Floor3/CubesSmart/block_health_test.tua "
        .. "for this the block variable works.\n\n"
        .. "When the chunk of that blocks is procedurally generated, "
        .. "the health is used as input.\n\n"
        .. "That is, the procedural generation of a chunk "
        .. "has access to any block variable of the block. "
    add_bent_s(7,7,10,"bent_base_txt",msg_str)
end
